Page MenuHomePhabricator

CSS classes should be prefixed
Closed, ResolvedPublic

Description

Several classes are generically named, raising the likelihood of a conflict, e.g.

  • viewMore
  • viewLess
  • entity-term
  • editActions

Class names should have an extension-specific prefix as per https://www.mediawiki.org/wiki/Manual:Coding_conventions/CSS

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 12 2019, 11:26 PM
Ramsey-WMF triaged this task as Normal priority.Jan 14 2019, 5:30 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

This will be changed as part of upcoming development this week probably.

Ramsey-WMF assigned this task to Cparle.Jan 14 2019, 7:17 PM

Assigning to Cormac for now, to be done later in the week

Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Jan 14 2019, 7:17 PM

Change 484595 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikibaseMediaInfo@master] Clean up all CSS classnames, prefixing all of ours with "wbmi-"

https://gerrit.wikimedia.org/r/484595

Jdforrester-WMF moved this task from To Do to Code Review on the Multimedia-Team-Working-Board board.
Jdforrester-WMF added a subscriber: Cparle.

Change 484595 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Clean up all CSS classnames, prefixing all of ours with "wbmi-"

https://gerrit.wikimedia.org/r/484595

Will go out in next week's train (except for the final removal of filepage-mediainfo-entitytermsview, which we'll drop after people have had a chance to switch over.

Ramsey-WMF closed this task as Resolved.Feb 6 2019, 8:33 PM

Verified in the CSS on production.